Subject: Re: [Int-area] Ramblings about RANGER and SAM

From: Rémi Després <[email-masked]>
Date: Mon, 13 Jul 2009 18:53:26 +0200

Le 13 juil. 09 à 17:55, Brian E Carpenter a écrit :

> Fred and Rémi,
>
> This may be a bit of a stretch, but I have the impression that
> RANGER and SAM cannot both flourish, and that they would be
> much stronger as a combined approach, with compromise on both
> sides no doubt.

There are clearly common points in RANGER and SAM.
Whether they can been combined is still unclear to me, but discussing  
it with Fred Templin in Stockholm should be interesting.

>
> In fact I think they both (like LISP) may not be quite radical
> enough.
> When I look at the issues of scope that are tackled in
> draft-carpenter-behave-referral-object, I get a bit pessimistic.
> However, I think we have to consider that trying to force all
> address/scope semantics into the very conservative design of an
> IPv6 address is probably hopeless. We took that conservative
> design in 1994 because we were relying on a relatively rapid
> dual-stack driven deployment; NATs and firewalls were largely
> unknown.

Not seeing so far what is missing with a SAM like approach, I am less  
pessimistic.

> I think it may be time to be more radical (as some people indeed
> said in 1994). Which means a variable length self-describing
> address format (as Louis Pouzin said in 1974).

Variable length hierarchical addresses, with careful route selection  
depending on used source addresses, seem to me sufficient do the job.

> But the first
> step towards that is a general framework for multiple addressing
> domains, which I think both SAM and RANGER are trying to do.
>
> Unfortunately I will not be in Stockholm, but I'd appreciate
> your reactions to these ramblings.
Too bad you cannot be there.

Regards,
RD